Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.program.das.dasalignment
Class DASAlignmentXMLResponseParser

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          org.biojava.bio.program.das.dasalignment.DASAlignmentXMLResponseParser

All Implemented Interfaces:
  ContentHandler, DTDHandler, EntityResolver, ErrorHandler

    public class DASAlignmentXMLResponseParser

extends DefaultHandler

A class to Parse the XML response of a DAS Alignment service. returns an Alignment object.

Since:
  1.4
Author:
  Andreas Prlic

Constructor Summary
`DASAlignmentXMLResponseParser()`

Method Summary
`void` | `characters(char[] ch, int start, int length)`
`void` | `endDocument()`
`void` | `endElement(String uri, String name, String qName)`
`Alignment` | `getAlignment(int position)` Returns Alignment at position ...
`Alignment[]` | `getAlignments()` Returns the alignments.
`void` | `startDocument()`
`void` | `startElement(String uri, String name, String qName, Attributes atts)`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DASAlignmentXMLResponseParser

    public DASAlignmentXMLResponseParser()

Method Detail

### getAlignments

    public Alignment[] getAlignments()

  Returns the alignments.

  Returns:
    an array of Alignment objects

### getAlignment

    public Alignment getAlignment(int position)

  Returns Alignment at position ...

  Parameters:
    `position` - an int
  Returns:
    an Alignment object

### startElement

    public void startElement(String uri,
                             String name,
                             String qName,
                             Attributes atts)

  Specified by:
    `startElement` in interface `ContentHandler`
  Overrides:
    `startElement` in class `DefaultHandler`

### endElement

    public void endElement(String uri,
                           String name,
                           String qName)

  Specified by:
    `endElement` in interface `ContentHandler`
  Overrides:
    `endElement` in class `DefaultHandler`

### startDocument

    public void startDocument()

  Specified by:
    `startDocument` in interface `ContentHandler`
  Overrides:
    `startDocument` in class `DefaultHandler`

### endDocument

    public void endDocument()

  Specified by:
    `endDocument` in interface `ContentHandler`
  Overrides:
    `endDocument` in class `DefaultHandler`

### characters

    public void characters(char[] ch,
                           int start,
                           int length)

  Specified by:
    `characters` in interface `ContentHandler`
  Overrides:
    `characters` in class `DefaultHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD